Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		raptor2
Version:	1.9.0
Release:	1
License:	GNU/GPL 
URL:		http://librdf.org/raptor/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	%{name} is a RDF parser and serializer library in C.
Provides:	raptor
Obsoletes:	raptor
BuildRequires:	cyrus-sasl-devel

BuildRequires: libssh2-devel

#Automatically resolved build dependencies
BuildRequires: curl-devel
BuildRequires: glibc-devel
BuildRequires: libidn-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
%{name} is a C library providing a set of parsers and serializers for Resource Description Framework (RDF)
triples by parsing syntaxes into RDF triples and serializing triples into a syntax.
The parsers support RDF/XML, N-Triples, Turtle, XML RSS, and Atom 0.3 via RSS tag soup.
The serializers support RDF/XML, N-Triples, and RSS 1.0.
Raptor handles RDF/XML as used by RDF applications such as RSS 1.0, FOAF, DOAP, Dublin Core, and OWL.
It can use either expat or libxml2 for XML parsing, libcurl when available for URI retrieval,
and is portable to many POSIX systems.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix --enable-release --disable-dependency-tracking --mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#make install prefix=$RPM_BUILD_ROOT/%{prefix}
#make install root=$RPM_BUILD_ROOT/%{prefix}
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%exclude %{_bindir}/rapper
%{_libdir}/libraptor2.so.*
%exclude %{_mandir}/man1/rapper.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/raptor2/raptor.h 
%{_libdir}/libraptor2.a  
%{_libdir}/libraptor2.la 
%{_libdir}/libraptor2.so 
%{_pkgconfig}/raptor2.pc      
%{_mandir}/man3/libraptor2.3.gz
%exclude %{_datadir}/gtk-doc/html/raptor

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Oct 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.9.0-1
- Initial CCux package release
